var express = require('express');
var router = express.Router();

/* GET list of tasks */
router.get('/list', function(req, res) {
	res.json([{}]);
});


/**
 * Task CRUD
 */
router.get('/:id', function(req, res) {
	req.getConnection(function(err, connection) {
		res.json({});
	});
});

router.post('/', function(req, res) {
	res.send('Error or success message');
});

router.put('/:id', function(req, res) {
	res.send('Error or success message');
});

router.delete('/:id', function(req, res) {
	res.send('Error or success message');
});

module.exports = router;
